/* =========================

   GLOBAL BASE STYLES

========================= */



body {

    font-family: "Inter", sans-serif;

    background-color: #ffffff;

    color: #1a1a1a;

    margin: 0;

    padding: 0;

    line-height: 1.6;
	
	font-size: 1.1rem;

}



/* Links */

a {

    text-decoration: none;

    color: inherit;

}



/* Headings */

h1, h2, h3, h4, h5 {

    font-weight: 700;

}



/* Container override (Bootstrap safe) */

.container {

    max-width: 1400px;

}



/* Sections spacing */

section {

    padding: 80px 0;

}



/* Images */

img {

    max-width: 100%;

    height: auto;

}



/* =========================

   HEADER

========================= */
.navbar  { padding:0px;}



.site-header {

    background: #fff;

    border-bottom: 1px solid #eee;

}



/* =========================

   FOOTER

========================= */



.site-footer {

    background: #0f172a;

    color: #fff;

    padding: 50px 0;

}





/* Dropdown menu */

.navbar-nav .sub-menu {

    display: none;

    position: absolute;

    background: #fff;

    padding: 10px;

    list-style: none;

    box-shadow: 0 5px 15px rgba(0,0,0,0.1);

}



/* Show dropdown on hover */

.navbar-nav li:hover > .sub-menu {

    display: block;

}



/* Submenu items */

.sub-menu li {

    padding: 5px 10px;

}



/* Hide submenu initially */

.navbar-nav .sub-menu {

    display: none;

    position: absolute;

    background: #fff;

    list-style: none;

    padding: 0px 0;

    margin: 0;

    min-width: 180px;

    box-shadow: 0 5px 15px rgba(0,0,0,0.1);

    z-index: 999;

    border-radius:0px;
	
	font-size: 1rem;
}



/* Show submenu on hover */

.navbar-nav li:hover > .sub-menu {

    display: block;

}



/* Position parent menu */

.navbar-nav li {

    position: relative;

}



/* Submenu items */

.sub-menu li {
 padding: 0px 5px;
 white-space: nowrap;
}



.sub-menu li a {

    color: #333;

    display: block;

}



.sub-menu li:hover {

    background: #f5f5f5;

}

/* Main Menu */

.navbar-nav {

    display: flex;

    align-items: center;

    gap: 10px;

}



.navbar-nav > li {

    list-style: none;

    position: relative;

}



.navbar-nav > li > a {

    display: block;

    padding: 25px 18px;

    color: #212529;

    font-weight: 500;

    text-decoration: none;

    transition: .3s;

}



.navbar-nav > li > a:hover {

    color: #0d6efd;

}



/* Dropdown */



.sub-menu {

    display: none;

    position: absolute;

    top: 100%;

    left: 0;

    min-width: 220px;

    background: #fff;

    padding: 10px 0;

    margin: 0;

    list-style: none;

    border-radius: 8px;

    box-shadow: 0 10px 25px rgba(0,0,0,.1);

    z-index: 999;

}



.menu-item-has-children:hover > .sub-menu {

    display: block;

}



.sub-menu li {

    width: 100%;

}



.sub-menu li a {

    display: block;

    padding: 10px 20px;

    color: #212529;

    text-decoration: none;

}



.sub-menu li a:hover {

    background: #f8f9fa;

    color: #0d6efd;

}

.menu-item-has-children > a::after {

    content: "";

    display: inline-block;

    width: 6px;

    height: 6px;

    margin-left: 8px;

    border-right: 2px solid currentColor;

    border-bottom: 2px solid currentColor;

    transform: rotate(45deg);

    vertical-align: middle;

}
/************header page css start*********************/
.custom-logo  {       height: 38px;    width: auto; }
#mainMenu {    justify-content: center;}
#mainMenu .navbar-nav {    margin: 0 auto;}
.announcement-bar {   background-color: #557b97;}
/************header page css start*********************/

/************Home page css start*********************/
section {
    padding-block: 50px;
}



/* =========================
   HERO SECTION
========================= */
.home-top-section {
    min-height: 70vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background:
        linear-gradient(rgba(0,0,0,0.35), rgba(0,0,0,0.35)),
        url("../images/home_banner.webp") center/cover no-repeat;

}



.dark-blue-color {
    background: #002642;
    border: none;
}

/* =========================
   FEATURED BOOTCAMPS
========================= */
.featured-bootcamps .products-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 40px;
}

.featured-bootcamps .product-card img {
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    transition: transform 0.4s ease;
}

.featured-bootcamps .product-card:hover img {
    transform: scale(1.01);
}

.featured-bootcamps .product-content {
    padding-top: 20px;
}


.featured-bootcamps .product-content a {
    text-decoration: none;
    color: inherit;
}

.featured-bootcamps .product-card:hover h4 a {
    text-decoration: underline;
   
}
.product-content h4 a {  font-size: 1.2rem;}

.featured-bootcamps .price {
    display: block;
    font-weight: 700;
    margin-top: 5px;
    color: #69727b;
}

.center-btn {
    display: flex;
    justify-content: center;
    margin-top: 40px;
}


/* =========================
   NEWSLETTER
========================= */
.newsletter-container {
    max-width: 1100px;
    margin: 0 auto;
    text-align: center;
    display: grid;
   
}
.home_title_heading {
margin-bottom:40px;}


.newsletter .subtitle {
    color: #6b7280;
    margin: 0;
}

.newsletter-form {
    display: grid;
    grid-template-columns: 1fr auto;
    max-width: 525px;   /* increased from 650px */
    width: 100%;
    margin: 25px auto 0;
    border: 1px solid #ddd;
    border-radius: 0px;
    overflow: hidden;
    background: #fff;
}

.newsletter-form input {
    border: none;
    padding: 14px 16px;
    font-size: 1rem;
    outline: none;
}

.newsletter-form button {
    background: #001f3f;
    color: #fff;
    border: none;
    padding: 0 25px;
    font-weight: 600;
    cursor: pointer;
    transition: 0.3s ease;
}

.newsletter-form button:hover {
    background: #003366;
}
.newsletter {

    background-color: #69727b0d; /* your requested color */
}
/****************************************8/

/* Hero Section */
.why-prepip {
    min-height: 60vh;
    background: #566f84;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 3rem 1.5rem;
}




.why-prepip p {
    color: rgba(255, 255, 255, 0.92);
   
    line-height: 1.7;
    max-width: 1000px;
    margin: 0 auto 3rem;
    font-weight: 700;
}


/* Testimonials Section */
.testimonials {
  
}




/* Testimonial */
.testimonial-card {
    text-align: center;
    max-width: 1100px;
    margin: 0 auto;
}

.quote-icon2 {
    font-size: 4rem;
    line-height: 1;
    color: #3b3f44;
    margin-bottom: 0rem;
	margin-top: 2rem;
}

.testimonial-card blockquote {
    margin: 0 auto;
    max-width: 1050px;
    color: #6c7680;
    line-height: 1.7;
    font-weight: 400;
}

.testimonial-card cite {
    display: block;
    margin-top: 2.5rem;
    font-style: normal;
    font-size: .90rem;
    color: #555;
    letter-spacing: 0.3px;
}

/* Logos */
.client-logos {
    margin-top: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3rem;
    flex-wrap: wrap;
}

.client-logos img {
    max-width: 160px;
    height: auto;
    filter: grayscale(100%);
 transition: all 0.3s ease;
}

.client-logos img:hover {
    filter: grayscale(0%);
    opacity: 1;
    transform: translateY(-4px);
}

/**************************footer area************************************/
footer{
   background-color: #f5f5f5;
    font-size: 1.0rem;
    line-height: 28px;
    color: #3d4246;
   }
.footer-title {
    padding-bottom: 20px;
}


.footer-top {
    max-width: 1400px;
    margin: auto;
    padding: 30px 30px;
    display: grid;
    grid-template-columns: 1.3fr 1fr 1fr;
    gap: 60px;
    padding-top: 50px;
}



.footer-text{

    max-width:420px;
}

.footer-text a{
    color:var(--heading);
    font-weight:700;
    text-decoration:none;
}

.footer-links ul{
    list-style:none;
}

.footer-links li{
   
}

.footer-links a,
.contact-info a{
    text-decoration:none;
    color:var(--text);
    
    transition:.3s ease;
}

.footer-links a:hover,
.contact-info a:hover{
    color:var(--hover);
}

.contact-info{
    display:flex;
    flex-direction:column;
    gap:5px;
}

.footer-bottom{
   border-top: 1px solid #ccc;
}

.footer-bottom-inner {
    max-width: 1400px;
    margin: auto;
    padding: 28px 40px 45px;
    
}

.social-icons{
    display:flex;
    gap:22px;
    margin-bottom:22px;
}

.social-icons a{
    width:25px;
    height:25px;
    display:flex;
    align-items:center;
    justify-content:center;
    background:#4a4f55;
    color:#fff;
    border-radius:8px;
    text-decoration:none;
    font-size:20px;
    transition:.3s ease;
}

.social-icons a:hover{
    transform:translateY(-3px);
    background:#222;
}

.copyright {
    font-size: .85rem;
}
/*****************Sale section css************************/
.product-container {
    max-width: 1400px;
    margin: 0 auto;
    padding: 60px 20px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 60px;
    align-items: start;
}

.product-image img {
    width: 100%;
    height: auto;
    display: block;
}

.product-info {
    display: flex;
    flex-direction: column;
    gap: 0px;
}

/* Tablet & Mobile */


.product-section {
    padding: 30px 0;
}


/* Left Image */

.product-image {
    background: #efefef;
    padding: 40px;
}



/* Right Content */

.product-info {
    max-width: 650px;
}

.product-info h3 {
    font-size: 1.4rem;
    line-height: 1.15;
    font-weight: 700;
    color: #394049;
    margin-bottom: 24px;
}

.product-price {
   
    font-weight: 700;
    color: #5c6168;
    margin-bottom: 0px;
}

.tax {
    font-size: 0.99rem;
    color: #5c6168;
    margin-bottom: 40px;
}

.option-group {
    margin-bottom: 25px;
}

.option-group label {
    display: block;
      font-size: 0.99rem;
    color: #5c6168;
    margin-bottom: 12px;
    
}

.option-group select {
      width: 100%;
    height: 45px;
    padding: 0 10px;
    border: 1px solid #bdbdbd;
    background: #fff;
    outline: none;
}
button.btn.btn-outline {
    border: 1px solid #ccc;
    border-radius: 0px;
    height: 45px;
    margin-bottom: 30px;
}

/***********header icon css**********************/
.header-icons {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-left: 20px;
}

.icon-link {
    position: relative;
    color: #444;
    font-size: 20px;
    text-decoration: none;
}

.icon-link:hover {
    color: #000;
}

.cart-count {
    position: absolute;
    top: -8px;
    right: -10px;
    background: #004b87;
    color: #fff;
    font-size: 11px;
    font-weight: 600;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
/*****************home search area css**************************/

.header-search {
    position: relative;
}

.search-toggle {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 20px;
    color: #333;
}

.search-popup {
    
    position: absolute;
    top: 56px;
    right: 0;
    width: 350px;
    background: #fff;
    padding: 10px;
    border-radius: 1px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, .15);
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: all .3s ease;
    z-index: 9999;
}

.search-popup.active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.search-popup form {
    display: flex;
}

.search-popup input {
    flex: 1;
    height: 45px;
    border: 1px solid #ddd;
    padding: 0 15px;
    outline: none;
}

.search-popup button {
    width: 50px;
    border: none;
    background: #002b49;
    color: #fff;
    cursor: pointer;
}
/**********all pages css************/
.class_about-us  .container { width:60%;}

.class_page h1 {    padding: 50px; }
.class_page img {    padding: 20px 0px; }
.class_page {    color: #69727b; }



@media (max-width: 992px) {
    .container {
        grid-template-columns: 1fr;
    }

    .product-info h1 {
        font-size: 2.5rem;
    }
}

@media (max-width: 991px) {
    .product-container {
        grid-template-columns: 1fr;
        gap: 40px;
    }
}





@media (max-width:900px){
    .footer-top{
        grid-template-columns:1fr;
        gap:50px;
    }

    .footer-title{
        margin-bottom:18px;
    }
}

/* Tablet */
@media (max-width: 992px) {
    .client-logos {
        grid-template-columns: repeat(2, 1fr);
    }
}
@media (max-width: 768px) {
    section {
        padding-block: 50px;
    }
}

/* Mobile */
@media (max-width: 576px) {
    .testimonials {
        padding: 5rem 1.25rem;
    }

    .client-logos {
        grid-template-columns: 1fr;
        gap: 3rem;
        margin-top: 5rem;
    }

    .quote-icon {
        font-size: 3rem;
    }
}






/* Mobile */
@media (max-width: 768px) {
    .why-prepip {
        min-height: 70vh;
        padding: 4rem 1.25rem;
    }

    .btn-primary {
        width: 100%;
        max-width: 220px;
    }
}












/* MOBILE */
@media (max-width: 600px) {
    .newsletter-form {
        grid-template-columns: 1fr;
    }

    .newsletter-form button {
        padding: 14px;
    }

    .featured-bootcamps .products-grid {
        gap: 20px;
    }
}
/************Home page css end*********************/